> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v21/parallels-ras-powershell-admin-module/commands/set-rasnotification.md).

# Set-RASNotification

## NAME

Set-RASNotification

## SYNOPSIS

Update notification.

## SYNTAX

**Set-RASNotification** -[Id](#id-string) *(uint)* \[[AllServers](#allservers-string) *(bool)*] \[[Direction](#direction-string) {RisesAbove | LowersBelow}] \[[Enabled](#enabled-string) *(bool)*] \[[EnableGracePeriod](#enablegraceperiod-string) *(bool)*] \[[EnableInterval](#enableinterval-string) *(bool)*] \[[ExecuteScript](#executescript-string) *(bool)*] \[[GracePeriod](#graceperiod-string) *(uint)*] \[[Interval](#interval-string) *(uint)*] \[[Recipients](#recipients-string) *(string\[])*] \[[ScriptId](#scriptid-string) *(uint)*] \[[ScriptObject](#scriptobject-string) *(*[*NotificationScript*](/landing/ras-powershell-api-guide/v21/parallels-ras-powershell-admin-module/types/notificationscript.md)*)*] \[[SendEmail](#sendemail-string) *(bool)*] \[[TargetIds](#targetids-string) *(List\`1)*] \[[TargetType](#targettype-string) {AllServers | RDSHostPools | VDIHostPools | AVDHostPools | RemotePCs | SecureGateways | Brokers | EnrollmentServers | ForceAllAgents}] \[[Threshold](#threshold-string) *(uint)*] \[[WaitUntilRecovered](#waituntilrecovered-string) *(bool)*] \[*(*[*CommonParameters*](#commonparameters-string)*)*] \*\*

**Set-RASNotification** -[InputObject](#inputobject) *(*[*Notification*](/landing/ras-powershell-api-guide/v21/parallels-ras-powershell-admin-module/types/notification.md)*)* \[-[AllServers](#AllServers) *(bool)*] \[-[Direction](#Direction) {RisesAbove | LowersBelow}] \[-[Enabled](#Enabled) *(bool)*] \[-[EnableGracePeriod](#EnableGracePeriod) *(bool)*] \[-[EnableInterval](#EnableInterval) *(bool)*] \[-[ExecuteScript](#ExecuteScript) *(bool)*] \[-[GracePeriod](#GracePeriod) *(uint)*] \[-[Interval](#Interval) *(uint)*] \[-[Recipients](#Recipients) *(string\[])*] \[-[ScriptId](#ScriptId) *(uint)*] \[-[ScriptObject](#ScriptObject) *(*[*NotificationScript*](/landing/ras-powershell-api-guide/v21/parallels-ras-powershell-admin-module/types/notificationscript.md)*)*] \[-[SendEmail](#SendEmail) *(bool)*] \[-[TargetIds](#TargetIds) *(List\`1)*] \[-[TargetType](#TargetType) {AllServers | RDSHostPools | VDIHostPools | AVDHostPools | RemotePCs | SecureGateways | Brokers | EnrollmentServers | ForceAllAgents}] \[-[Threshold](#Threshold) *(uint)*] \[-[WaitUntilRecovered](#WaitUntilRecovered) *(bool)*] \[*(*[*CommonParameters*](#CommonParameters)*)*] \*\*

## DESCRIPTION

Updates the selected notification with new settings.

## PARAMETERS

## InputObject ([Notification](/landing/ras-powershell-api-guide/v21/parallels-ras-powershell-admin-module/types/notification.md))

InputObject from pipeline or by parameter.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

## Id (uint)

Notification ID.

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Enabled (bool)

Enable/Disable notification.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## GracePeriod (uint)

Notification grace period (minutes).

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## EnableGracePeriod (bool)

Enable/Disable grace period.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Recipients (string\[])

Notification recipients.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SendEmail (bool)

Enable/Disable email notification.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ScriptId (uint)

Use script of given ID.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ScriptObject ([Notification](/landing/ras-powershell-api-guide/v21/parallels-ras-powershell-admin-module/types/notification.md))

Script object.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ExecuteScript (bool)

Enable/Disable notification scripts.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Interval (uint)

Notification interval (minutes).

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## EnableInterval (bool)

Enable/Disable notification intervals.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## WaitUntilRecovered (bool)

Wait until recovered.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## AllServers (bool)

All servers in site.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## TargetType ([TargetType](/landing/ras-powershell-api-guide/v21/parallels-ras-powershell-admin-module/types/targettype.md))

Target type.

Possible values: AllServers, RDSHostPools, VDIHostPools, AVDHostPools, RemotePCs, SecureGateways, Brokers, EnrollmentServers, ForceAllAgents

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## TargetIds (List\`1)

Target IDs.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Threshold (uint)

Tolerance value which triggers notification.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Direction ([ThresholdDirection](/landing/ras-powershell-api-guide/v21/parallels-ras-powershell-admin-module/types/thresholddirection.md))

Threshold direction.

Possible values: RisesAbove, LowersBelow

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[Notification](/landing/ras-powershell-api-guide/v21/parallels-ras-powershell-admin-module/types/notification.md)

## OUTPUTS

-none-

**---------- EXAMPLE 1 ----------**

Set-RASNotification -Id 1 -Type License -Enabled $true -GracePeriod 22

Changes notification of Id 1 to be a License notification with grace period of 22min.\
**---------- EXAMPLE 2 ----------**

Set-RASNotification -Id 2 -Type CPUEvent -Threshold 50 -Direction RisesAbove -Enabled

Changes notification of Id 2 to be a CPU notification with a raises above 50% rule.

## RELATED LINKS

* [Get-RASNotification](/landing/ras-powershell-api-guide/v21/parallels-ras-powershell-admin-module/commands/get-rasnotification.md)
* [New-RASNotification](/landing/ras-powershell-api-guide/v21/parallels-ras-powershell-admin-module/commands/new-rasnotification.md)
* [Remove-RASNotification](/landing/ras-powershell-api-guide/v21/parallels-ras-powershell-admin-module/commands/remove-rasnotification.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v21/parallels-ras-powershell-admin-module/commands/set-rasnotification.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
